
local DecoPonds = ...


DecoPonds:register({

	DataType = "BUILDING",

	Id = "GALLOWS_01",

	Name = "GALLOWS_NAME",

	Description = "GALLOWS_DESC",

	BuildingType = "DECORATION",

	BuildingPartList = { "GALLOWS_PART" }

})

DecoPonds:register({

	DataType = "BUILDING_PART",

	Id = "GALLOWS_PART",
	Description = "GALLOWS_DESC",

	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GALLOWS"
	},

	BuildingZone = { 4, 3},

	ConstructionVisual = "PREFAB_GALLOWS_CONSTRUCTION",

	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 5 },
			{ Resource = "PLANK", Quantity = 10 }
		}
	}
})

